You are not logged in.

#1 2022-08-03 22:32:09

Craig W.
Member
Registered: 2022-08-03
Posts: 6

[SOLVED] pacstrap error at install

I was installing arch linux inside a vm, and at first I got the classic invalid signature issue at pacstrap /mnt *my files*. But I fixed it by reinstalling archlinux-keyring and then refreshing with pacman-key --refresh. But now while running pacstrap /mnt base base-devel linux linux-firmware vim, at the end of the process I get an error saying: "error: failed retrieving file 'p11-kit-0.24.1-1-x86_64.pkg.tar.zst.sig' from archlinux.thaller.ws :
warning: failed to retrieve some files
error: failed to commit transaction (download library error)
Errors occured, no packages were upgraded.
==> ERROR: Failed to install packages to new root

What do I do to fix this? This is my first install attempt, so please do not get TOO technical. Thank you.

Last edited by Craig W. (2022-08-04 16:25:30)

Offline

#2 2022-08-04 00:38:45

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,718

Re: [SOLVED] pacstrap error at install

Is this actively reproducible? Switch your top mirrors around a bit: https://wiki.archlinux.org/title/Mirror … ng_mirrors

Offline

#3 2022-08-04 00:40:42

Craig W.
Member
Registered: 2022-08-03
Posts: 6

Re: [SOLVED] pacstrap error at install

Are you saying the connection could have timed out?

Offline

#4 2022-08-04 01:02:14

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,718

Re: [SOLVED] pacstrap error at install

That's what I'm saying. simply sounds like a temporary networking issue to me.

Offline

#5 2022-08-04 16:25:11

Craig W.
Member
Registered: 2022-08-03
Posts: 6

Re: [SOLVED] pacstrap error at install

This worked! Thank you!

Offline

Board footer

Powered by FluxBB